package com.cloudbility.openapi;

import com.cloudbility.openapi.response.KeyPairListResult;
import com.cloudbility.openapi.vo.KeyPairDetailVo;
import com.cloudbility.openapi.vo.KeyPairVo;

public interface KeyPairApi {

    KeyPairListResult listKeyParis(long teamId) throws OpenapiException;

    KeyPairDetailVo getKeyPairInfo(Long keyPairId) throws OpenapiException;

    KeyPairVo createKeyPair(long teamId, String name, String description, String key) throws OpenapiException;

    void updateKeyPairName(Long keyPairId, String name, String description) throws OpenapiException;

    void updateKeyPairMembers(Long keyPairId, String members) throws OpenapiException;

    void updateKeyPairRoles(Long keyPairId, String roles) throws OpenapiException;

    void updateKeyPairDepartments(Long keyPairId, String departments) throws OpenapiException;

    void deleteKeyPair(Long keyPairId) throws OpenapiException;
}
