package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

/**
 * 控制台模式
 */
public enum ConsoleModeType {
    vnc,
    spice;

    public static ConsoleModeType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (ConsoleModeType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
