package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum L2NetworkCategoryType {
    L2NoVlanNetwork,
    L2VlanNetwork,
    VxlanNetwork;

    public static L2NetworkCategoryType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (L2NetworkCategoryType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
