package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum L3NetworkType {
    L3BasicNetwork,
    L3VpcNetwork;

    public static L3NetworkType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (L3NetworkType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
