package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

/**
 * zstack vm 创建策略
 */
public enum VMCreateStrategyType {
    InstantStart,
    JustCreate,
    CreateStopped;

    public static VMCreateStrategyType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (VMCreateStrategyType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
