package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum VolumeProvisioningStrategyType {
    ThinProvisioning,
    ThickProvisioning;

    public static VolumeProvisioningStrategyType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (VolumeProvisioningStrategyType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
