package com.cloudbility.openapi.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.Map;

@ApiModel
public class ImportPublicHostRequest {
    /**
     */
    @ApiModelProperty(required = true, value = "所属云账户ID")
    private Long cloudId;

    @ApiModelProperty(value = "创建者ID，不设置时是团队所有者")
    private Long creatorId;

    @ApiModelProperty(value = "实例ID=>RegionId映射",required = true)
    private Map<String, String> instanceRegionMap = new HashMap<>();

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Map<String, String> getInstanceRegionMap() {
        return instanceRegionMap;
    }

    public void setInstanceRegionMap(Map<String, String> instanceRegionMap) {
        this.instanceRegionMap = instanceRegionMap;
    }

}
