package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.ImportTeamVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ImportTeamRequest {
    @ApiModelProperty(required = true, value = "团队信息列表")
    private List<ImportTeamVo> teams = new ArrayList<>();

    public ImportTeamRequest(List<ImportTeamVo> teams) {
        this.teams = teams;
    }

    public ImportTeamRequest() {
    }

    public List<ImportTeamVo> getTeams() {
        return teams;
    }

    public void setTeams(List<ImportTeamVo> teams) {
        this.teams = teams;
    }
}
