package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.ImportUserVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel(description = "导入用户请求")
public class ImportUserRequest {

    @ApiModelProperty(required = true, value = "用户信息列表")
    private List<ImportUserVo> users = new ArrayList<>();

    public ImportUserRequest() {
    }

    public ImportUserRequest(List<ImportUserVo> users) {
        this.users = users;
    }

    public List<ImportUserVo> getUsers() {
        return users;
    }

    public void setUsers(List<ImportUserVo> users) {
        this.users = users;
    }

}
