package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.SmsTemplate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class SmsRequest {
    @ApiModelProperty(required = true, value = "手机号列表")
    private List<String> phones = new ArrayList<>();
    @ApiModelProperty(required = true, value = "短信模版")
    private SmsTemplate template;
    @ApiModelProperty(required = true, value = "模版参数")
    private List<String> parameters = new ArrayList<>();

    public List<String> getPhones() {
        return phones;
    }

    public void setPhones(List<String> phones) {
        this.phones = phones;
    }

    public SmsTemplate getTemplate() {
        return template;
    }

    public void setTemplate(SmsTemplate template) {
        this.template = template;
    }

    public List<String> getParameters() {
        return parameters;
    }

    public void setParameters(List<String> parameters) {
        this.parameters = parameters;
    }
}
