package com.cloudbility.openapi.response;

public class BooleanResult {
    private boolean success;
    private String msg;

    public BooleanResult(boolean success, String msg) {
        this.success = success;
        this.msg = msg;
    }


    public BooleanResult(String msg) {
        this.msg = msg;
    }

    public BooleanResult(boolean success) {
        this.success = success;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
