package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.DataDiskVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.DiskOfferingInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class DiskOfferingListResult extends OpenapiResponse {

    @ApiModelProperty("云盘规格列表")
    private List<DiskOfferingInventory> diskOfferings = new ArrayList<>();

    public List<DiskOfferingInventory> getDiskOfferings() {
        return diskOfferings;
    }

    public void setDiskOfferings(List<DiskOfferingInventory> diskOfferings) {
        this.diskOfferings = diskOfferings;
    }
}
