package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.*;

@ApiModel
public class FlatDepartmentInfo extends OpenapiResponse {
    @ApiModelProperty("部门列表")
    private List<DepartmentVo> departments = new ArrayList<>();
    @ApiModelProperty("部门关系:父部门->子部门")
    private Map<Long, List<Long>> relationshipMap = new HashMap<>();
    @ApiModelProperty("部门成员关系:部门->成员列表")
    private Map<Long, List<Long>> membersMap = new HashMap<>();

    public List<DepartmentVo> getDepartments() {
        return departments;
    }

    public void setDepartments(List<DepartmentVo> departments) {
        this.departments = departments;
    }

    public Map<Long, List<Long>> getRelationshipMap() {
        return relationshipMap;
    }

    public void setRelationshipMap(Map<Long, List<Long>> relationshipMap) {
        this.relationshipMap = relationshipMap;
    }

    public Map<Long, List<Long>> getMembersMap() {
        return membersMap;
    }

    public void setMembersMap(Map<Long, List<Long>> membersMap) {
        this.membersMap = membersMap;
    }
}
