package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.CredentialVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class GetCredentialListResult extends OpenapiResponse {

    @ApiModelProperty("总记录数")
    private Integer total;
    @ApiModelProperty("当前页码")
    private Integer page;
    @ApiModelProperty("当前页的记录数")
    private Integer size;


    @ApiModelProperty("登录凭证列表")
    private List<CredentialVo> credentials = new ArrayList<>();

    public List<CredentialVo> getCredentials() {
        return credentials;
    }

    public void setCredentials(List<CredentialVo> credentials) {
        this.credentials = credentials;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }
}
