package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by Mask on 2018/3/19.
 */
@ApiModel
public class GetProxyScriptResult extends OpenapiResponse {
    /**
     * 行云管家 cloud id
     */
    @ApiModelProperty(value = "云账户ID")
    private Long cloudId;

    /**
     * proxy windows安装脚本
     */
    @ApiModelProperty(value = "windows安装脚本（powershell）")
    private String windowsScript;

    /**
     * proxy linux安装脚本
     */
    @ApiModelProperty(value = "linux安装脚本（shell）")
    private String linuxInstallScript;

    /**
     * proxy windows bat备用安装脚本
     */
    @ApiModelProperty(value = "windows安装脚本（bat）")
    private String windowsBatScript;


    public GetProxyScriptResult() {
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public String getWindowsScript() {
        return windowsScript;
    }

    public void setWindowsScript(String windowsScript) {
        this.windowsScript = windowsScript;
    }

    public String getLinuxInstallScript() {
        return linuxInstallScript;
    }

    public void setLinuxInstallScript(String linuxInstallScript) {
        this.linuxInstallScript = linuxInstallScript;
    }

    public String getWindowsBatScript() {
        return windowsBatScript;
    }

    public void setWindowsBatScript(String windowsBatScript) {
        this.windowsBatScript = windowsBatScript;
    }
}
