package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class GetQuotaResult extends OpenapiResponse {

    @ApiModelProperty("最大用户数")
    private Integer maxUsers;

    @ApiModelProperty("最大团队数")
    private Integer maxTeams;

    @ApiModelProperty("最大资源数")
    private Integer maxResources;

    @ApiModelProperty("资源总数，包括:HOST，CDN，BUCKET，DB")
    private Integer resources;

    @ApiModelProperty("系统用户数")
    private Integer users;

    @ApiModelProperty("系统团队数")
    private Integer teams;

    @ApiModelProperty("系统CDN数")
    private Integer cdns;
    @ApiModelProperty("系统Bucket数")
    private Integer buckets;
    @ApiModelProperty("系统DB数")
    private Integer dbs;
    @ApiModelProperty("系统HOST数")
    private Integer hosts;

    public Integer getMaxUsers() {
        return maxUsers;
    }

    public void setMaxUsers(Integer maxUsers) {
        this.maxUsers = maxUsers;
    }

    public Integer getMaxTeams() {
        return maxTeams;
    }

    public void setMaxTeams(Integer maxTeams) {
        this.maxTeams = maxTeams;
    }

    public Integer getMaxResources() {
        return maxResources;
    }

    public void setMaxResources(Integer maxResources) {
        this.maxResources = maxResources;
    }

    public Integer getResources() {
        return resources;
    }

    public void setResources(Integer resources) {
        this.resources = resources;
    }

    public Integer getCdns() {
        return cdns;
    }

    public void setCdns(Integer cdns) {
        this.cdns = cdns;
    }

    public Integer getBuckets() {
        return buckets;
    }

    public void setBuckets(Integer buckets) {
        this.buckets = buckets;
    }

    public Integer getDbs() {
        return dbs;
    }

    public void setDbs(Integer dbs) {
        this.dbs = dbs;
    }

    public Integer getHosts() {
        return hosts;
    }

    public void setHosts(Integer hosts) {
        this.hosts = hosts;
    }

    public Integer getUsers() {
        return users;
    }

    public void setUsers(Integer users) {
        this.users = users;
    }

    public Integer getTeams() {
        return teams;
    }

    public void setTeams(Integer teams) {
        this.teams = teams;
    }
}
