package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class GetRoleResourcesResult extends OpenapiResponse {

    @ApiModelProperty("角色ID")
    private long roleId;

    @ApiModelProperty("当前角色可见主机列表")
    private List<Long> hostIds = new ArrayList<>();

    @ApiModelProperty("当前角色可见bucket列表")
    private List<Long> bucketIds = new ArrayList<>();

    @ApiModelProperty("当前角色可见CDN列表")
    private List<Long> cdnIds = new ArrayList<>();

    public long getRoleId() {
        return roleId;
    }

    public void setRoleId(long roleId) {
        this.roleId = roleId;
    }

    public List<Long> getHostIds() {
        return hostIds;
    }

    public void setHostIds(List<Long> hostIds) {
        this.hostIds = hostIds;
    }

    public List<Long> getBucketIds() {
        return bucketIds;
    }

    public void setBucketIds(List<Long> bucketIds) {
        this.bucketIds = bucketIds;
    }

    public List<Long> getCdnIds() {
        return cdnIds;
    }

    public void setCdnIds(List<Long> cdnIds) {
        this.cdnIds = cdnIds;
    }
}
