package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.TagVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListTagResult extends OpenapiResponse {
    @ApiModelProperty(value = "所属团队ID")
    private Long teamId;
    @ApiModelProperty(value = "标签列表")
    private List<TagVo> tags = new ArrayList<>();

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public List<TagVo> getTags() {
        return tags;
    }

    public void setTags(List<TagVo> tags) {
        this.tags = tags;
    }
}
