package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.IpRangeInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackIpRangesResult extends OpenapiResponse {

    @ApiModelProperty("zstack网络地址范围列表")
    private List<IpRangeInventory> ipRanges = new ArrayList<>();

    public List<IpRangeInventory> getIpRanges() {
        return ipRanges;
    }

    public void setIpRanges(List<IpRangeInventory> ipRanges) {
        this.ipRanges = ipRanges;
    }
}
