package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.NetworkServiceProviderInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackNetworkServiceProvidersResult extends OpenapiResponse {

    @ApiModelProperty("zstack网络服务列表")
    private List<NetworkServiceProviderInventory> networkServiceProviders = new ArrayList<>();

    public List<NetworkServiceProviderInventory> getNetworkServiceProviders() {
        return networkServiceProviders;
    }

    public void setNetworkServiceProviders(List<NetworkServiceProviderInventory> networkServiceProviders) {
        this.networkServiceProviders = networkServiceProviders;
    }
}
