package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.VirtualRouterOfferingInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackVirtualRouterOfferingsResult extends OpenapiResponse {

    @ApiModelProperty("zstack云路由规格列表")
    private List<VirtualRouterOfferingInventory> virtualRouterOfferings = new ArrayList<>();

    public List<VirtualRouterOfferingInventory> getVirtualRouterOfferings() {
        return virtualRouterOfferings;
    }

    public void setVirtualRouterOfferings(List<VirtualRouterOfferingInventory> virtualRouterOfferings) {
        this.virtualRouterOfferings = virtualRouterOfferings;
    }
}
