package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.QuotaItemVo;
import com.cloudbility.openapi.vo.QuotaUsedItemVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Created by lidonghao on 2020/9/13.
 */
@ApiModel
public class ModuleVo extends OpenapiResponse {
    @ApiModelProperty("模块代码")
    private String moduleCode;
    @ApiModelProperty("模块名称")
    private String moduleName;
    @ApiModelProperty("版本代码")
    private String editionCode;
    @ApiModelProperty("版本名称")
    private String editionName;
    @ApiModelProperty("过期时间")
    private Date expiredTime;
    @ApiModelProperty("配额")
    private List<QuotaUsedItemVo> quotas = new ArrayList<>();

    public String getModuleCode() {
        return moduleCode;
    }

    public void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getEditionCode() {
        return editionCode;
    }

    public void setEditionCode(String editionCode) {
        this.editionCode = editionCode;
    }

    public String getEditionName() {
        return editionName;
    }

    public void setEditionName(String editionName) {
        this.editionName = editionName;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    public List<QuotaUsedItemVo> getQuotas() {
        return quotas;
    }

    public void setQuotas(List<QuotaUsedItemVo> quotas) {
        this.quotas = quotas;
    }

    public void addQuota(QuotaUsedItemVo quota){
        this.quotas.add(quota);
    }

}
