package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.SessionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class SessionPageResult extends PagedResult {
    @ApiModelProperty("会话列表信息")
    private List<SessionInfo> sessionInfos = new ArrayList<>();

    public List<SessionInfo> getSessionInfos() {
        return sessionInfos;
    }

    public void setSessionInfos(List<SessionInfo> sessionInfos) {
        this.sessionInfos = sessionInfos;
    }
}
