/*
 --------------------------------------
  Skybility
 ---------------------------------------
  Copyright By Skybility ,All right Reserved
 * author                     date    comment
 * chenweijun@skybility.com  2015/8/12  Created
 */
package com.cloudbility.openapi.response;

import java.util.Map;

/**
 * @author Atlas
 */
public class SmsResult {

    private String statusCode;
    private String statusMsg;

    /**
     * 接收各个手机对应的发送结果
     */
    Map<String, SmsResult> resultSet;

    public SmsResult() {
        this("200", "");
    }

    public SmsResult(String statusCode, String statusMsg) {
        this.statusCode = statusCode;
        this.statusMsg = statusMsg;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public void setStatusMsg(String statusMsg) {
        this.statusMsg = statusMsg;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public boolean isSuccess() {
        return "200".equals(getStatusCode());
    }

    public String getStatusMsg() {
        return statusMsg;
    }

    public void setSuccess() {
        statusCode = "200";
    }

    public Map<String, SmsResult> getResultSet() {
        return resultSet;
    }

    public void setResultSet(Map<String, SmsResult> resultSet) {
        this.resultSet = resultSet;
    }

    @Override
    public String toString() {
        return "SmsResult{" +
                "statusCode='" + statusCode + '\'' +
                ", statusMsg='" + statusMsg + '\'' +
                '}';
    }
}
