package com.cloudbility.openapi.response;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;


/**
 * 中转服务列表响应
 *
 * @author heyanqiao
 * @since 2020-12-9
 */
@ApiModel
public class TransitServerResult extends OpenapiResponse {
    @ApiModelProperty("中转服务列表")
    List<TransitServerVo> transitServers;


    public TransitServerResult() {
    }

    public TransitServerResult(List<TransitServerVo> transitServers) {
        this.transitServers = transitServers;
    }

    public List<TransitServerVo> getTransitServers() {
        return transitServers;
    }

    public void setTransitServers(List<TransitServerVo> transitServers) {
        this.transitServers = transitServers;
    }
}
