package com.cloudbility.openapi.response.hostTemplate;

import java.io.Serializable;

/**
 * @author mask
 */
public class TemplateDiskConfig implements Serializable {
    private String usage; // system || data
    private String category ; // cloud_efficiency,cloud_ssd,cloud_essd,cloud;

    private Integer immutableCapcity;

    private Integer minCapacity;
    private Integer maxCapacity;
    private String unit= "GiB";
    private String status = "available" ;//available

    private boolean available = true;
    private boolean systemDisk = false;

    private Integer minCount =1;
    private Integer maxCount =1;


    //磁盘价格  模版所有region中的  最低，最高单价 只有参考意义，模版上显示，不是最后计算的价格
    private Double perHourOriginalPriceMin;
    private Double perHourOriginalPriceMax;

    private Double perMonthOriginalPriceMin;
    private Double perMonthOriginalPriceMax;


    private boolean immutable;//不可变的,模板自带的系统盘或者数据盘为true,自定义的磁盘为false

    public Integer getImmutableCapcity() {
        return immutableCapcity;
    }

    public void setImmutableCapcity(Integer immutableCapcity) {
        this.immutableCapcity = immutableCapcity;
    }

    public String getUsage() {
        return usage;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Integer getMinCapacity() {
        return minCapacity;
    }

    public void setMinCapacity(Integer minCapacity) {
        this.minCapacity = minCapacity;
    }

    public Integer getMaxCapacity() {
        return maxCapacity;
    }

    public void setMaxCapacity(Integer maxCapacity) {
        this.maxCapacity = maxCapacity;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    public boolean judgeIsSystemDIsk() {
        return systemDisk || (usage != null && usage.equalsIgnoreCase("system"));
    }

    public boolean getAvailable() {
        return available;
    }

    public void setAvailable(boolean available) {
        this.available = available;
    }

    public boolean getSystemDisk() {
        return systemDisk;
    }

    public void setSystemDisk(boolean systemDisk) {
        this.systemDisk = systemDisk;
    }

    public boolean getImmutable() {
        return immutable;
    }

    public void setImmutable(boolean immutable) {
        this.immutable = immutable;
    }

    public Integer getMinCount() {
        return minCount;
    }

    public void setMinCount(Integer minCount) {
        this.minCount = minCount;
    }

    public Integer getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(Integer maxCount) {
        this.maxCount = maxCount;
    }

    public Double getPerHourOriginalPriceMin() {
        return perHourOriginalPriceMin;
    }

    public void setPerHourOriginalPriceMin(Double perHourOriginalPriceMin) {
        this.perHourOriginalPriceMin = perHourOriginalPriceMin;
    }

    public Double getPerHourOriginalPriceMax() {
        return perHourOriginalPriceMax;
    }

    public void setPerHourOriginalPriceMax(Double perHourOriginalPriceMax) {
        this.perHourOriginalPriceMax = perHourOriginalPriceMax;
    }

    public Double getPerMonthOriginalPriceMin() {
        return perMonthOriginalPriceMin;
    }

    public void setPerMonthOriginalPriceMin(Double perMonthOriginalPriceMin) {
        this.perMonthOriginalPriceMin = perMonthOriginalPriceMin;
    }

    public Double getPerMonthOriginalPriceMax() {
        return perMonthOriginalPriceMax;
    }

    public void setPerMonthOriginalPriceMax(Double perMonthOriginalPriceMax) {
        this.perMonthOriginalPriceMax = perMonthOriginalPriceMax;
    }
}
