package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class AuthorizationInfo {

    @ApiModelProperty("授权的角色")
    private List<Long> roles = new ArrayList<>();

    @ApiModelProperty("授权的部门")
    private List<Long> departments = new ArrayList<>();

    @ApiModelProperty("授权的团队成员")
    private List<Long> members = new ArrayList<>();

    public List<Long> getRoles() {
        return roles;
    }

    public void setRoles(List<Long> roles) {
        this.roles = roles;
    }

    public List<Long> getDepartments() {
        return departments;
    }

    public void setDepartments(List<Long> departments) {
        this.departments = departments;
    }

    public List<Long> getMembers() {
        return members;
    }

    public void setMembers(List<Long> members) {
        this.members = members;
    }
}
