package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class BucketVo extends OpenapiResponse {
    @ApiModelProperty("对象存储ID")
    private Long bucketId;
    @ApiModelProperty("所属云账户")
    private Long cloudId;
    @ApiModelProperty("所属团队")
    private Long teamId;
    @ApiModelProperty("所属云厂商")
    private String provider;
    @ApiModelProperty("区域id")
    private String regionId;
    @ApiModelProperty("导入时间")
    private Date createTime;
    @ApiModelProperty("导入时间")
    private Date importTime;

    public Long getBucketId() {
        return bucketId;
    }

    public void setBucketId(Long bucketId) {
        this.bucketId = bucketId;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }
}
