package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CdnVo extends OpenapiResponse {
    @ApiModelProperty("CDN ID")
    private Long cdnId;
    @ApiModelProperty("云账户ID")
    private Long cloudId;

    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("所属云厂商")
    private String provider;

    @ApiModelProperty("域名")
    private String domainName;

    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("导入时间")
    private Date importTime;

    @ApiModelProperty("域名状态")
    private String status;

    @ApiModelProperty("源类型")
    private String sourceType;

    @ApiModelProperty("域名的源")
    private String sources;

    @ApiModelProperty("是否开启ssl")
    private boolean sslProtocol;


    public Long getCdnId() {
        return cdnId;
    }

    public void setCdnId(Long cdnId) {
        this.cdnId = cdnId;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getSources() {
        return sources;
    }

    public void setSources(String sources) {
        this.sources = sources;
    }

    public boolean isSslProtocol() {
        return sslProtocol;
    }

    public void setSslProtocol(boolean sslProtocol) {
        this.sslProtocol = sslProtocol;
    }
}
