package com.cloudbility.openapi.vo;

/**
 * 云实例付费类型
 *
 * @author lishaochuan
 * @date 2018-03-08
 */
public enum CloudInstanceChargeType {
    PrePaid("PrePaid", "包年包月"),
    PostPaid("PostPaid", "按量付费");

    private String name;
    private String cnName;

    CloudInstanceChargeType(String name, String cnName) {
        setName(name);
        setCnName(cnName);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public static CloudInstanceChargeType getEnum(String stringValue) {
        if (null == stringValue) {
            return null;
        }

        for (CloudInstanceChargeType type : CloudInstanceChargeType.values()) {
            if (type.getName().equals(stringValue)) {
                return type;
            }
        }
        return null;
    }
}
