package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CredentialVo {
    @ApiModelProperty("登录凭证ID")
    private long id;
    @ApiModelProperty("登录凭证名称")
    private String name;
    @ApiModelProperty("创建者ID")
    private long creatorId;
    @ApiModelProperty("登录账号")
    private String user;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("凭证类型：密码或密钥")
    private AuthType authType;
    @ApiModelProperty("登录协议,SSH,RDP,等等")
    private String desktopType;
    @ApiModelProperty("切换的用户")
    private String suUser;
    @ApiModelProperty("切换用户的命令")
    private String suCommand;


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(long creatorId) {
        this.creatorId = creatorId;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public void setAuthType(AuthType authType) {
        this.authType = authType;
    }

    public String getDesktopType() {
        return desktopType;
    }

    public void setDesktopType(String desktopType) {
        this.desktopType = desktopType;
    }

    public String getSuUser() {
        return suUser;
    }

    public void setSuUser(String suUser) {
        this.suUser = suUser;
    }

    public String getSuCommand() {
        return suCommand;
    }

    public void setSuCommand(String suCommand) {
        this.suCommand = suCommand;
    }
}
