package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.JobOpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by lidonghao on 2020/8/10.
 */
@ApiModel
public class DataDiskVo extends JobOpenapiResponse{

    @ApiModelProperty(required = false, value = "磁盘ID")
    private String diskId;

    @ApiModelProperty(required = true, value = "磁盘类型")
    private String category;

    @ApiModelProperty(required = true, value = "磁盘大小，单位为G")
    private int size;

    @ApiModelProperty(required = false, value = "磁盘是否随虚拟机一起销毁")
    private boolean deleteWithInstance = true;

    @ApiModelProperty(required = false, value = "磁盘名称")
    private String diskName;

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public boolean isDeleteWithInstance() {
        return deleteWithInstance;
    }

    public void setDeleteWithInstance(boolean deleteWithInstance) {
        this.deleteWithInstance = deleteWithInstance;
    }

    public String getDiskId() {
        return diskId;
    }

    public void setDiskId(String diskId) {
        this.diskId = diskId;
    }

    public String getDiskName() {
        return diskName;
    }

    public void setDiskName(String diskName) {
        this.diskName = diskName;
    }
}
