package com.cloudbility.openapi.vo;

public enum DbType {
    /**
     * 阿里云rds 包含mysql，mssql，pgsql
     */
    RDS,
    MYSQL,
    SQLSERVER,
    ORACLE,
    POSTGRESQL,
    HIVE,
    VERTICA,
    REDIS,
    REDSHIFT,
    MONGODB,
    GAUSSDB,
    HANA
    ;

    public static DbType byName(String name) {
        for (DbType type : values()) {
            if (type.name().equalsIgnoreCase(name)) {
                return type;
            }
        }
        return null;
    }
    public static String getHuaweiName(DbType dbType){
        String name="";
        switch (dbType){
            case MYSQL:
                name="MySQL";
                break;
            case SQLSERVER:
                name="SQLServer";
                break;
            case POSTGRESQL:
                name="PostgreSQL";
                break;
            default:
                break;
        }
        return name;
    }
}
