package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lidonghao on 2020/9/3.
 */
@ApiModel
public class DiskTypeVo {

    @ApiModelProperty(value = "区域")
    private String regionId;

    @ApiModelProperty(value = "可用区")
    private String zoneId;

    @ApiModelProperty(value = "磁盘规格")
    private List<String> categories = new ArrayList<>();

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public List<String> getCategories() {
        return categories;
    }

    public void setCategories(List<String> categories) {
        this.categories = categories;
    }
}
