package com.cloudbility.openapi.vo;

/**
 * 校验类型
 * Created by lidonghao on 2020/8/6.
 */
public enum FunctionType{

    FUNCTION_CODE, // Function Code
    API_PATH,      //API路径
    BUSINESS_ROLE;  //业务角色

    public static FunctionType byName(String type) {
        for (FunctionType t : values()) {
            if (t.name().equalsIgnoreCase(type)) {
                return t;
            }
        }
        return FUNCTION_CODE;
    }

}
