package com.cloudbility.openapi.vo;

public enum HostActionType {
    ACCESS,          // 访问主机
    ADD,             // 添加主机
    REMOVE,          // 删除主机
    START,           // 启动主机
    STOP,            // 停止主机
    RESTART,         // 重启主机
    RESET_PWD,       // 重置密码
    MODIFY,          // 修改主机
    RESET_MCONSOLE_PWD,   //重置管理终端密码
    CHANGE_SNAPSHOT_POLICY,//修改自动快照策略
    ALLOCATE,//变配主机

    ;

    public static HostActionType byName(String name) {
        for (HostActionType type : values()) {
            if (name != null && name.equalsIgnoreCase(type.name())) {
                return type;
            }
        }
        return null;
    }

}
