package com.cloudbility.openapi.vo;

import java.io.IOException;
import java.io.InputStream;

public class InputStreamResult {
    private InputStream inputStream;
    private long length;

    public InputStreamResult(InputStream inputStream, long length) {
        this.inputStream = inputStream;
        this.length = length;
    }

    public InputStream getInputStream() {
        return inputStream;
    }

    public void setInputStream(InputStream inputStream) {
        this.inputStream = inputStream;
    }

    public long getLength() {
        return length;
    }

    public void setLength(long length) {
        this.length = length;
    }

    public void release() throws IOException {
        if (inputStream != null) {
            inputStream.close();
        }
    }
}
