package com.cloudbility.openapi.vo;

public enum JobType {
    UN_KNOW,

    SessionOp,
    DiskOp,
    MigrateTeamData,
    DiskSnapshotOp,
    HostImportOp,//targetId=cloudId
    GatewayInstruction,  //网关指令
    CdnImportOp,         //导入cdn加速资源
    BucketUtilizationAnalyse,//bucket分析空间使用率
    SyncImage,           // 拉取单个新创建的镜像
    RefreshImages,      // 手动重新导入云账号下的所有镜像
    BucketImportOp,     //导入bucket资源
    SecurityGroupAddInstance, //实例导入安全组
    ScriptRun,//在云主机上执行脚本的作业
    DistributeFile,//分发文件到云主机
    DistributeUploadOp,//上传待分发文件
    CommandRun,//命令行执行
    InstallAgent,//安装agent
    BatchInstallAgent,//批量安装agent
    TaskScheduleRun,//执行任务编排
    CollectFile,//采集文件
    PurchaseCloudHost,//购买云主机
    HealthCheckPageToPdf,//体检报告生成pdf
    InstallGateway,// 安装gateway
    CredentialChangePassword,//
    TransitJob,//中转上的任务
    BatchIssueTheKey,//从登录凭证下发密钥
    ;

    public static JobType byName(String jobType) {
        for (JobType type : values()) {
            if (type.name().equalsIgnoreCase(jobType)) {
                return type;
            }
        }
        return UN_KNOW;
    }

}
