package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "子策略")
public class OpsPolicyVo extends OpenapiResponse {
    @ApiModelProperty("子策略ID")
    private Long id;
    @ApiModelProperty("子策略名称")
    private String name;
    @ApiModelProperty("子策略描述")
    private String description;
    @ApiModelProperty("子策略优先级,取值越小越高，最小值:1")
    private Integer priority;
    @ApiModelProperty("子策略类型：云账户或者策略组")
    private PolicySourceType sourceType;
    @ApiModelProperty("云账户或者策略组ID")
    private Long sourceId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public PolicySourceType getSourceType() {
        return sourceType;
    }

    public void setSourceType(PolicySourceType sourceType) {
        this.sourceType = sourceType;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }
}
