package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class QuotaItemVo {
    @ApiModelProperty("配额代码")
    private String code;
    @ApiModelProperty("配额名称")
    private String name;
    @ApiModelProperty("配额单位")
    private String unit;
    @ApiModelProperty("配额单价")
    private Double unitPrice;
    @ApiModelProperty("所属Tenant")
    private Long tenantId;
    @ApiModelProperty("是否是外部配额")
    private boolean external;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public boolean isExternal() {
        return external;
    }

    public void setExternal(boolean external) {
        this.external = external;
    }
}
