package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public enum RedirectPage {
    Home,//某个团队的首页，默认
    Hosts,//主机列表页面
    HostDetail,//主机详情,需要hostId
    HostAccess,//主机详情页面访问面板,加"/PUBLIC_IP"
    Exam,//体检首页
    HostExam,//主机体检详情
    @Deprecated
    Audit,//审计页面
    OpsStrategy,//运维策略
    @Deprecated
    Log,//日志页面
    //----日志界面
    OperationReport,//运维报表
    UserTrail,//用户轨迹
    HostTrail,//主机轨迹
    AuditRecord,//审计日志
    OperationRecord,//操作日志
    //<--- 日志界面
    TeamInfo,//团队菜单
    TeamMember,//团队成员
    RoleManage,//角色管理
    TeamAccount,//云账户
    ResPool,//资源池
    Net,//网络菜单
    Snapshot,//快照菜单
    Cost,//成本中心
    Disk,//网盘
    OpWork,//作业中心
    OpTask,//任务编排
    Oss,//对象存储
    Cdn,//CDN
    HostTemplate,//主机模版
    DBAudit,//数据库审计页面,**/dbOps
    RemoteApp,//应用中心
    Workflow,//工单中心：工单流程
    WorkflowInstance,//工单中心：工单流程
    WorkflowMyStarted,//工单中心：我的申请
    WorkflowMyTodo,//工单中心：我的待办
    WorkflowMyDone,//工单中心：我的已办

}

