package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lidonghao on 2020/8/6.
 */
@ApiModel(description = "公有云区域")
public class RegionVo {

    @ApiModelProperty(value = "区域ID")
    private String regionId;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "可用区")
    private List<ZoneVo> zones = new ArrayList<>();

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public List<ZoneVo> getZones() {
        return zones;
    }

    public void setZones(List<ZoneVo> zones) {
        this.zones = zones;
    }
}
