package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ScriptExecutingHostsInfo {

    @ApiModelProperty("操作者用户ID")
    private Long operatorId;

    @ApiModelProperty("脚本参数，不设置时使用脚本默认参数")
    private String parameter;

    @ApiModelProperty("脚本超时，不设置时使用默认超时")
    private Integer timeout;

    @ApiModelProperty
    private List<ScriptExecutingHost> executingHosts = new ArrayList<>();

    public List<ScriptExecutingHost> getExecutingHosts() {
        return executingHosts;
    }

    public void setExecutingHosts(List<ScriptExecutingHost> executingHosts) {
        this.executingHosts = executingHosts;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public Integer getTimeout() {
        return timeout;
    }

    public void setTimeout(Integer timeout) {
        this.timeout = timeout;
    }
}
