package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * zstack物理主机
 */
@ApiModel
public class ZStackPhysicalHostVo implements Serializable {

    @ApiModelProperty("可用区Id")
    public java.lang.String zoneId;

    @ApiModelProperty("主机名称")
    public java.lang.String name;

    @ApiModelProperty("Id")
    public java.lang.String id;

    @ApiModelProperty("集群Id")
    public java.lang.String clusterId;

    @ApiModelProperty("描述")
    public java.lang.String description;

    @ApiModelProperty("管理网络Ip")
    public java.lang.String managementIp;

    @ApiModelProperty("虚拟化技术")
    public java.lang.String hypervisorType;

    @ApiModelProperty("可用状态")
    public java.lang.String state;

    @ApiModelProperty("连接状态")
    public java.lang.String status;

    @ApiModelProperty("总CPU核数")
    public java.lang.Long totalCpuCapacity;

    @ApiModelProperty("可用CPU核数")
    public java.lang.Long availableCpuCapacity;

    @ApiModelProperty("cpu插槽")
    public java.lang.Integer cpuSockets;

    @ApiModelProperty("总内存")
    public java.lang.Long totalMemoryCapacity;


    @ApiModelProperty("可用内存")
    public java.lang.Long availableMemoryCapacity;

    @ApiModelProperty("主机cpu核数")
    public java.lang.Integer cpuNum;

    @ApiModelProperty("创建日期")
    public Date createDate;

    @ApiModelProperty("最后修改日期")
    public Date lastOpDate;

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClusterId() {
        return clusterId;
    }

    public void setClusterId(String clusterId) {
        this.clusterId = clusterId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getManagementIp() {
        return managementIp;
    }

    public void setManagementIp(String managementIp) {
        this.managementIp = managementIp;
    }

    public String getHypervisorType() {
        return hypervisorType;
    }

    public void setHypervisorType(String hypervisorType) {
        this.hypervisorType = hypervisorType;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getTotalCpuCapacity() {
        return totalCpuCapacity;
    }

    public void setTotalCpuCapacity(Long totalCpuCapacity) {
        this.totalCpuCapacity = totalCpuCapacity;
    }

    public Long getAvailableCpuCapacity() {
        return availableCpuCapacity;
    }

    public void setAvailableCpuCapacity(Long availableCpuCapacity) {
        this.availableCpuCapacity = availableCpuCapacity;
    }

    public Integer getCpuSockets() {
        return cpuSockets;
    }

    public void setCpuSockets(Integer cpuSockets) {
        this.cpuSockets = cpuSockets;
    }

    public Long getTotalMemoryCapacity() {
        return totalMemoryCapacity;
    }

    public void setTotalMemoryCapacity(Long totalMemoryCapacity) {
        this.totalMemoryCapacity = totalMemoryCapacity;
    }

    public Long getAvailableMemoryCapacity() {
        return availableMemoryCapacity;
    }

    public void setAvailableMemoryCapacity(Long availableMemoryCapacity) {
        this.availableMemoryCapacity = availableMemoryCapacity;
    }

    public Integer getCpuNum() {
        return cpuNum;
    }

    public void setCpuNum(Integer cpuNum) {
        this.cpuNum = cpuNum;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getLastOpDate() {
        return lastOpDate;
    }

    public void setLastOpDate(Date lastOpDate) {
        this.lastOpDate = lastOpDate;
    }
}
