package com.cloudbility.openapi.vo.healthCheck.subItem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(description = "关键软件包篡改信息")
public class ModifiedPackage {
    @ApiModelProperty(value = "软件包名")
    private String name;
    @ApiModelProperty(value = "关键文件列表")
    private List<String> modifiedFiles;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getModifiedFiles() {
        return modifiedFiles;
    }

    public void setModifiedFiles(List<String> modifiedFiles) {
        this.modifiedFiles = modifiedFiles;
    }

}
