package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class PartitionItem {

    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "分区使用率趋势说明")
    private String comment;
    @ApiModelProperty(value = "已使用天数")
    private Integer validDays;
    @ApiModelProperty(value = "剩余使用天数")
    private Integer fullRemainDays;
    @ApiModelProperty(value = "是否处于增长")
    private Boolean increasing;
    @ApiModelProperty(value = "最高利用率")
    private Double max;
    @ApiModelProperty(value = "平均利用率")
    private Double mean;
    @ApiModelProperty(value = "最低利用率")
    private Double min;
    @ApiModelProperty(value = "标准差，浮动范围")
    private Double stdev;
    @ApiModelProperty(value = "当前值")
    private Double current;

    public Integer getValidDays() {
        return validDays;
    }

    public void setValidDays(Integer validDays) {
        this.validDays = validDays;
    }

    public Integer getFullRemainDays() {
        return fullRemainDays;
    }

    public void setFullRemainDays(Integer fullRemainDays) {
        this.fullRemainDays = fullRemainDays;
    }

    public Boolean getIncreasing() {
        return increasing;
    }

    public void setIncreasing(Boolean increasing) {
        this.increasing = increasing;
    }

    public Double getCurrent() {
        return current;
    }

    public void setCurrent(Double current) {
        this.current = current;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Double getMax() {
        return max;
    }

    public void setMax(Double max) {
        this.max = max;
    }

    public Double getMean() {
        return mean;
    }

    public void setMean(Double mean) {
        this.mean = mean;
    }

    public Double getMin() {
        return min;
    }

    public void setMin(Double min) {
        this.min = min;
    }

    public Double getStdev() {
        return stdev;
    }

    public void setStdev(Double stdev) {
        this.stdev = stdev;
    }
}
