package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class TimestampCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType=HealthCheckItemType.Timestamp;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "系统时间")
    private Long utcTimestamp;
    @ApiModelProperty(value = "UTC标准时间")
    private Long utcBase;


    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Long getUtcTimestamp() {
        return utcTimestamp;
    }

    public void setUtcTimestamp(Long utcTimestamp) {
        this.utcTimestamp = utcTimestamp;
    }

    public Long getUtcBase() {
        return utcBase;
    }

    public void setUtcBase(Long utcBase) {
        this.utcBase = utcBase;
    }
}
