package com.cloudbility.openapi.vo.monitor;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.Map;

@ApiModel
public class BatchHostAggregationData extends OpenapiResponse {

    @ApiModelProperty("批量主机聚合函数值，{hostId=>AggregationData}")
    private Map<Long, AggregationData> batchDataPoints = new HashMap<>();

    public Map<Long, AggregationData> getBatchDataPoints() {
        return batchDataPoints;
    }

    public void setBatchDataPoints(Map<Long, AggregationData> batchDataPoints) {
        this.batchDataPoints = batchDataPoints;
    }
}
