package com.cloudbility.openapi.vo.ops;

public enum BatchType implements OpsValueType {
    OpsTimeRange,
    OpsIpAcl,
    OpsCommandAuditExpression,
    ;

    public static BatchType fromName(String name) {
        for (BatchType type : values()) {
            if (type.name().equalsIgnoreCase(name)) {
                return type;
            }
        }
        return null;
    }

    public static BatchType fromNameNullable(String name) {
        for (BatchType type : values()) {
            if (type.name().equalsIgnoreCase(name)) {
                return type;
            }
        }
        return null;
    }
}
