package com.cloudbility.openapi.vo.ops;

public enum OpsAclType implements OpsValueType {
    off,
    whitelist,
    blacklist;

    public static OpsAclType fromName(String name) {
        for (OpsAclType t : OpsAclType.values()) {
            if (t.name().equals(name)) {
                return t;
            }
        }
        return off;
    }

    public static OpsAclType fromNameNullable(String name) {
        for (OpsAclType t : OpsAclType.values()) {
            if (t.name().equals(name)) {
                return t;
            }
        }
        return null;
    }
}
