package com.cloudbility.openapi.vo.ops;

public enum RangeTimeType implements OpsValueType {
    anytime,//任何时候
    hours,//每天特定小时
    weekHours,//特定星期的特定小时
    ;

    public static RangeTimeType fromName(String name) {
        for (RangeTimeType t : RangeTimeType.values()) {
            if (t.name().equalsIgnoreCase(name)) {
                return t;
            }
        }

        return anytime;
    }

    public static RangeTimeType fromNameNullable(String name) {
        for (RangeTimeType t : RangeTimeType.values()) {
            if (t.name().equalsIgnoreCase(name)) {
                return t;
            }
        }
        return null;
    }
}
