package com.cloudbility.openapi.vo.ops;

public enum SwitchType implements OpsValueType {
    off,
    on,
    ;

    public static SwitchType fromName(String name) {
        for (SwitchType t : SwitchType.values()) {
            if (t.name().equalsIgnoreCase(name)) {
                return t;
            }
        }
        return off;
    }

    public static Object fromNameNullable(String name) {
        for (SwitchType t : SwitchType.values()) {
            if (t.name().equalsIgnoreCase(name)) {
                return t;
            }
        }
        return null;
    }
}
