package com.cloudbility.openapi.demo;

import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.TokenProvider;
import com.cloudbility.openapi.client.OpenapiConfig;
import com.cloudbility.openapi.common.JsonUtil;
import com.cloudbility.openapi.response.PagedUserListResult;
import com.cloudbility.openapi.vo.AkAccessToken;

public class GetTokenDemo {
    public static final String accessKeyId = "Kh96DNQh5ecaWWoK";
    public static final String accessKeySecret = "2ULSkNejZIlHHkjdSGI74d6XBlWunZ";
    public static final String endpoint = "http://188.188.77.136/api/openapi";

    public static void main(String[] args) {
        OpenapiClient openapiClient = createOpenapiClient(accessKeyId, accessKeySecret, endpoint);
        try {
            AkAccessToken accessToken = openapiClient.otherApi().getOAuth(accessKeyId, accessKeySecret, 300);
            System.out.println(JsonUtil.toJson(accessToken));
        } catch (OpenapiException e) {
            e.printStackTrace();
        }
    }

    public static OpenapiClient createOpenapiClient(String accessKeyId, String accessKeySecret, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setAccessKeyId(accessKeyId);
        config.setAccessKeySecret(accessKeySecret);
        config.setEndpoint(endpoint);
        return new OpenapiClient(config);
    }
}
