package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum DeleteModeType {
    Permissive,
    Enforcing;

    public static DeleteModeType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (DeleteModeType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
