package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum IpRangeType {
    Normal,
    AddressPool;

    public static IpRangeType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (IpRangeType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
