package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum VMType {
    UserVm,
    ApplianceVm;

    public static VMType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (VMType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
