package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum VpcRouterDnsActionType {
    add,
    remove;

    public static VpcRouterDnsActionType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (VpcRouterDnsActionType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
