package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CheckJwtResult extends OpenapiResponse {
    @ApiModelProperty("该jwt是否有效，如果无效，msg解析原因")
    private boolean success;
    private String msg;
    private String jwtTokenId;
    private Long userId;
    private String nickName;
    private Date expireTime;
    //当前处于哪个团队？


    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getJwtTokenId() {
        return jwtTokenId;
    }

    public void setJwtTokenId(String jwtTokenId) {
        this.jwtTokenId = jwtTokenId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }
}
