package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.CloudHostWithCredentialVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class GetHostCredentialListResult extends OpenapiResponse {
    @ApiModelProperty("总记录数")
    private Integer total;
    @ApiModelProperty("当前页码")
    private Integer page;
    @ApiModelProperty("当前页的记录数")
    private Integer size;
    @ApiModelProperty("主机凭证列表")
    private List<CloudHostWithCredentialVo> hostWithCredentialVos;

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public List<CloudHostWithCredentialVo> getHostWithCredentialVos() {
        return hostWithCredentialVos;
    }

    public void setHostWithCredentialVos(List<CloudHostWithCredentialVo> hostWithCredentialVos) {
        this.hostWithCredentialVos = hostWithCredentialVos;
    }
}
