package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.Map;

@ApiModel
public class ImportTeamResult {
    /**
     * teamId=>teamCode
     */
    @ApiModelProperty(required = true, value = "团队ID=>团队code")
    private Map<Long, String> teamCodes = new HashMap<>();

    public ImportTeamResult() {
    }

    public Map<Long, String> getTeamCodes() {
        return teamCodes;
    }

    public void setTeamCodes(Map<Long, String> teamCodes) {
        this.teamCodes = teamCodes;
    }
}
