package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@ApiModel
public class ImportUserResult extends OpenapiResponse {

    @ApiModelProperty("新导入的用户ID列表")
    private List<Long> userIds = new ArrayList<>();

    @ApiModelProperty(value = "用户ID=>用户账号")
    private Map<Long, String> userAccounts = new HashMap<>();


    public List<Long> getUserIds() {
        return userIds;
    }


    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public Map<Long, String> getUserAccounts() {
        return userAccounts;
    }

    public void setUserAccounts(Map<Long, String> userAccounts) {
        this.userAccounts = userAccounts;
    }
}
