package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListDbGroupResult extends OpenapiResponse {
    @ApiModelProperty(value = "所属团队ID")
    private Long teamId;
    @ApiModelProperty(value = "分组列表")
    private List<DbGroupVo> dbGroups = new ArrayList<>();

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public List<DbGroupVo> getDbGroups() {
        return dbGroups;
    }

    public void setDbGroups(List<DbGroupVo> dbGroups) {
        this.dbGroups = dbGroups;
    }
}
