package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.L2VxlanNetworkPoolInventory;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ListZStackL2VxLanPoolsResult extends OpenapiResponse {

    @ApiModelProperty("zstack二层VxLan网络池列表")
    private List<L2VxlanNetworkPoolInventory> l2VxLanPools = new ArrayList<>();

    public List<L2VxlanNetworkPoolInventory> getL2VxLanPools() {
        return l2VxLanPools;
    }

    public void setL2VxLanPools(List<L2VxlanNetworkPoolInventory> l2VxLanPools) {
        this.l2VxLanPools = l2VxLanPools;
    }
}
