package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class OptimizedAdviceResult extends OpenapiResponse {

    @ApiModelProperty
    private List<OptimizedAdviceItem> optimizedAdvices = new ArrayList<>();

    public List<OptimizedAdviceItem> getOptimizedAdvices() {
        return optimizedAdvices;
    }

    public void setOptimizedAdvices(List<OptimizedAdviceItem> optimizedAdvices) {
        this.optimizedAdvices = optimizedAdvices;
    }
}
