package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class PagedOrderListResult extends OrderListResult {

    @ApiModelProperty("订单总数")
    private Integer total;

    @ApiModelProperty("当前第几页")
    private Integer page;

    @ApiModelProperty("当前页的记录数")
    private Integer size;

    public Integer getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }
}
