package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.PublicIpHostVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@ApiModel(description = "有公网ip的主机列表")
public class PublicIpHostsResult extends OpenapiResponse implements Serializable {
    @ApiModelProperty("主机列表")
    private List<PublicIpHostVo> hosts = new ArrayList<>();

    public List<PublicIpHostVo> getHosts() {
        return hosts;
    }

    public void setHosts(List<PublicIpHostVo> hosts) {
        this.hosts = hosts;
    }
}
