package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.ZStackPhysicalHostVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class ZStackPhysicalHostListResult extends OpenapiResponse {
    @ApiModelProperty("zstack物理主机列表")
    private List<ZStackPhysicalHostVo> physicalHosts = new ArrayList<>();

    public List<ZStackPhysicalHostVo> getPhysicalHosts() {
        return physicalHosts;
    }

    public void setPhysicalHosts(List<ZStackPhysicalHostVo> physicalHosts) {
        this.physicalHosts = physicalHosts;
    }
}
