package com.cloudbility.openapi.response.hostTemplate;

import java.io.Serializable;

/**
 * @author mask
 */
public class TemplateEcsTypeConfig implements Serializable  {
    private String instanceTypeFamily;
    private String name;
    private Integer processorCores;
    private Double memory;      // GB
    private String instanceType;
    /**
     * 磁盘总计GB
     */
    private Integer diskSize;

    private Long id;

    //同一个模板下可能存在多个region， 每个region单价不一样，这里取最大值进行保存
    private Double perHourOriginalPrice;
    private Double perMonthOriginalPrice;


    public String getInstanceType() {
        return instanceType;
    }

    public void setInstanceType(String instanceType) {
        this.instanceType = instanceType;
    }

    public String getInstanceTypeFamily() {
        return instanceTypeFamily;
    }

    public void setInstanceTypeFamily(String instanceTypeFamily) {
        this.instanceTypeFamily = instanceTypeFamily;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getProcessorCores() {
        return processorCores;
    }

    public void setProcessorCores(Integer processorCores) {
        this.processorCores = processorCores;
    }

    public Double getMemory() {
        return memory;
    }

    public void setMemory(Double memoryInGB) {
        this.memory = memoryInGB;
    }

    public Double getPerHourOriginalPrice() {
        return perHourOriginalPrice;
    }

    public void setPerHourOriginalPrice(Double perHourOriginalPrice) {
        this.perHourOriginalPrice = perHourOriginalPrice;
    }

    public Double getPerMonthOriginalPrice() {
        return perMonthOriginalPrice;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPerMonthOriginalPrice(Double perMonthOriginalPrice) {
        this.perMonthOriginalPrice = perMonthOriginalPrice;
    }

    public Integer getDiskSize() {
        return diskSize;
    }

    public void setDiskSize(Integer diskSize) {
        this.diskSize = diskSize;
    }
}
