package com.cloudbility.openapi.vo;

public enum AuthMethodVo {
    PLAIN,//用户名密码
    LDAP,//使用外部LDAP配置
    RADIUS,//使用Radius配置
    OIDC,
    CAS,
    ACC,
    ;

    public static AuthMethodVo byName(String method) {
        for (AuthMethodVo vo : values()) {
            if (vo.name().equalsIgnoreCase(method)) {
                return vo;
            }
        }
        return null;
    }
}
