package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class CloudHostWithCredentialVo {

    @ApiModelProperty("云账户id")
    private Long cloudId;
    @ApiModelProperty("云账户名称")
    private String cloudName;
    @ApiModelProperty("主机实例id")
    private String instanceId;
    @ApiModelProperty("公网ip")
    private String publicIp;
    @ApiModelProperty("内网ip")
    private String innerIp;
    @ApiModelProperty("主机名称")
    private String hostName;
    @ApiModelProperty("凭证列表")
    private List<HostCredentialSimpleVo> credentials;

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public String getCloudName() {
        return cloudName;
    }

    public void setCloudName(String cloudName) {
        this.cloudName = cloudName;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public String getInnerIp() {
        return innerIp;
    }

    public void setInnerIp(String innerIp) {
        this.innerIp = innerIp;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public List<HostCredentialSimpleVo> getCredentials() {
        return credentials;
    }

    public void setCredentials(List<HostCredentialSimpleVo> credentials) {
        this.credentials = credentials;
    }
}
