package com.cloudbility.openapi.vo;

/**
 * 网络计费类型
 *
 * @author lishaochuan
 * @date 2018-03-08
 */
public enum CloudInternetChargeType {
    PayByBandwidth("PayByBandwidth", "按固定带宽计费"),
    PayByTraffic("PayByTraffic", "按带宽流量计费");

    private String name;
    private String cnName;

    CloudInternetChargeType(String name, String cnName) {
        setName(name);
        setCnName(cnName);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public static CloudInternetChargeType getEnum(String stringValue) {
        if (null == stringValue) {
            return null;
        }

        for (CloudInternetChargeType type : CloudInternetChargeType.values()) {
            if (type.getName().equals(stringValue)) {
                return type;
            }
        }
        return null;
    }
}
