package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class CredentialHostBrief {
    @ApiModelProperty(value = "主机ID")
    private Long hostId;

    @ApiModelProperty(value = "访问端口")
    private Integer port;

    @ApiModelProperty(value = "是否设置了密码")
    private boolean passwordSet = false;

    @ApiModelProperty(value = "是否设置了密钥")
    private boolean keySet = false;

    @ApiModelProperty(value = "是否设置了切换用户")
    private boolean suSet = false;

    @ApiModelProperty(value = "是否设置了切换用户的密码")
    private boolean suPasswordSet = false;

    @ApiModelProperty(value = "认证方式")
    private AuthType authType;

    public boolean isPasswordSet() {
        return passwordSet;
    }

    public void setPasswordSet(boolean passwordSet) {
        this.passwordSet = passwordSet;
    }

    public boolean isKeySet() {
        return keySet;
    }

    public void setKeySet(boolean keySet) {
        this.keySet = keySet;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public void setAuthType(AuthType authType) {
        this.authType = authType;
    }

    public boolean isSuSet() {
        return suSet;
    }

    public void setSuSet(boolean suSet) {
        this.suSet = suSet;
    }

    public boolean isSuPasswordSet() {
        return suPasswordSet;
    }

    public void setSuPasswordSet(boolean suPasswordSet) {
        this.suPasswordSet = suPasswordSet;
    }
}
