package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CredentialPasswordVo {

    @ApiModelProperty(value = "访问端口")
    private Integer port;
    @ApiModelProperty(value = "当前主机登录密码，未设置时，使用CreateCredentialRequest中的默认值")
    private String password;
    @ApiModelProperty(value = "当前主机登录密钥，未设置时，使用CreateCredentialRequest中的默认值")
    private String key;
    @ApiModelProperty("登录凭证名称")
    private String name;
    @ApiModelProperty("登录账号")
    private String user;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("凭证类型：密码或密钥")
    private AuthType authType;
    @ApiModelProperty("登录协议,SSH,RDP,等等")
    private String desktopType;

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public void setAuthType(AuthType authType) {
        this.authType = authType;
    }

    public String getDesktopType() {
        return desktopType;
    }

    public void setDesktopType(String desktopType) {
        this.desktopType = desktopType;
    }
}
