package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class KeyPairVo extends OpenapiResponse {
    @ApiModelProperty("密钥对ID")
    private Long id;
    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("密钥对名称")
    private String name;
    @ApiModelProperty("SSH公钥的注释")
    private String comment;
    @ApiModelProperty("密钥对的创建人")
    private Long creator;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("SSH公钥")
    private String publicKey;
    @ApiModelProperty("描述")
    private String description;
/*    @ApiModelProperty("密钥是否加密")
    private boolean encrypted;*/

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

/*    public boolean isEncrypted() {
        return encrypted;
    }

    public void setEncrypted(boolean encrypted) {
        this.encrypted = encrypted;
    }*/
}
