package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class LdapDnTeamVo {
    @ApiModelProperty("需要同步创建用户的OU，不用包含baseDN做后缀，使用空串时表示根目录。")
    private String dn;
    @ApiModelProperty("当前OU新创建的用户自动加入的团队，为null时不加入团队。当LdapSyncConfigVo.joinTeam=true时生效")
    private Long teamId;

    @ApiModelProperty("dn组织的名称，冗余保存仅用于显示")
    private String name;

    public String getDn() {
        return dn;
    }

    public void setDn(String dn) {
        this.dn = dn;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
