package com.cloudbility.openapi.vo;

public enum LogStatus {
    FAIL,             // 失败
    SUCCESS,
    RUNNING,
    UNKNOWN//

    ;

    public static LogStatus byName(String name) {
        for (LogStatus s : values()) {
            if (s.name().equalsIgnoreCase(name)) {
                return s;
            }
        }
        return UNKNOWN;
    }
}
