package com.cloudbility.openapi.vo;

/**
 * Created by lidonghao on 2020/8/13.
 */
public enum MessageSendTemplate {

    CScanner_Insufficient_Quota("scannerInsufficientQuota", "扫描次数配额不足"), // 漏洞扫描配额不足
    CScanner_Buy_Overlay_Package_For_Times("scannerBuyOverlayPackageForTimes", "扫描次数配额不足"), //购买漏洞扫描叠加包,获取更多扫描次数
    CScanner_Buy_Overlay_Package_For_Task("scannerBuyOverlayPackageForTask", "扫描次数配额不足"),//购买漏洞扫描叠加包,避免任务执行失败
    CScanner_Generate_Report("scannerGenerateReport", "生成扫描报告"), // 扫描报告
    CScanner_Find_Attack("scannerFindAttack", "发现漏洞"),    // 发现漏洞
    CScanner_Start_Scanning("scannerStartScanning", "开始扫描"),  //开始扫描

    CMonitor_Generate_Report("monitorGenerateReport", "生成监测报告"),    //监测报告
    CMonitor_Site_Cannot_Access("monitorSiteCannotAccess", "站点无法访问"), // 站点无法访问

    CMonitor_Site_Cannot_Resolve("monitorSiteCannotResolve", "站点无法解析"), //站点无法解析
    monitorSiteCannotResolve_dns("monitorSiteCannotResolve_dns", "站点无法解析"),
    monitorSiteCannotResolve_authorityDns("monitorSiteCannotResolve_authorityDns", "站点无法解析"),

    CMonitor_Site_Recovered("monitorSiteRecovered", "站点恢复正常"),      //站点恢复正常

    EDR_Alert("edrAlert", "主机安全检测告警"),

    DDoS_Standard_Bandwidth_Use_Up("ddosStandardBandwidthUseUp", "保底带宽耗尽"),
    DDoS_Elastic_Bandwidth_Use_Up("ddosElasticBandwidthUseUp", "弹性带宽耗尽"),
    DDoS_Defense_Inflow_Reach_Threshold("ddosDefenseInflowReachThreshold", "高防入流量达到阀值"),
    DDoS_Attack_Flow_Reach_Threshold("ddosAttackFlowReachThreshold", "攻击流量达到阀值"),
    DDoS_Source_Flow_Reach_Threshold("ddosSourceflowReachThreshold", "回源流量达到阀值"),
    ;


    private String templateName;//邮件模板名称
    private String subject;//邮件主题

    private MessageSendTemplate(String templateName, String subject){
        this.templateName = templateName;
        this.subject = subject;
    }

    public String getSubject() {
        return subject;
    }

    public String getTemplateName() {
        return templateName;
    }
}
