package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class NoticeAttachmentVo {
    @ApiModelProperty("下载地址")
    private String downloadUrl;
    private Long id;
    private String name;
    @ApiModelProperty("公告ID")
    private Long noticeId;
    private String contentType;
    private Date createTime;
    @ApiModelProperty("文件大小")
    private long size;
    @ApiModelProperty("封面(true)或附件（false）")
    private boolean cover;

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public boolean isCover() {
        return cover;
    }

    public void setCover(boolean cover) {
        this.cover = cover;
    }

    @Override
    public String toString() {
        return "NoticeAttachmentVo{" +
                "downloadUrl='" + downloadUrl + '\'' +
                ", id=" + id +
                ", name='" + name + '\'' +
                ", noticeId=" + noticeId +
                ", contentType='" + contentType + '\'' +
                ", createTime=" + createTime +
                ", size=" + size +
                ", cover=" + cover +
                '}';
    }
}
