package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class OpsPolicyDetailVo extends OpsPolicyVo {
    @ApiModelProperty("授权成员ID列表")
    private List<Long> memberIds = new ArrayList<>();
    @ApiModelProperty("授权角色ID列表")
    private List<Long> roleIds = new ArrayList<>();
    @ApiModelProperty("授权组织单元ID列表")
    private List<Long> departmentIds = new ArrayList<>();

    public List<Long> getMemberIds() {
        return memberIds;
    }

    public void setMemberIds(List<Long> memberIds) {
        this.memberIds = memberIds;
    }

    public List<Long> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<Long> roleIds) {
        this.roleIds = roleIds;
    }

    public List<Long> getDepartmentIds() {
        return departmentIds;
    }

    public void setDepartmentIds(List<Long> departmentIds) {
        this.departmentIds = departmentIds;
    }
}
