package com.cloudbility.openapi.vo;

import java.util.Date;

public class PermissionQuota {
    private Permission permission;
    private Date time;
    private long total;
    private long used;
    private PermissionQuotaType quotaType;

    public PermissionQuota() {
    }

    public PermissionQuota(Permission permission, long total, long used) {
        this.permission = permission;
        this.total = total;
        this.used = used;
        this.quotaType = PermissionQuotaType.ByTraffic;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public long getUsed() {
        return used;
    }

    public void setUsed(long used) {
        this.used = used;
    }

    public Permission getPermission() {
        return permission;
    }

    public void setPermission(Permission permission) {
        this.permission = permission;
    }

    public PermissionQuotaType getQuotaType() {
        return quotaType;
    }

    public void setQuotaType(PermissionQuotaType quotaType) {
        this.quotaType = quotaType;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }
}
