package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 安全组
 * Created by lidonghao on 2020/8/20.
 */
@ApiModel
public class SecurityGroupVo {

    @ApiModelProperty("安全组ID")
    private String securityGroupId;

    @ApiModelProperty("安全组名称")
    private String securityGroupName;

    @ApiModelProperty("安全组描述")
    private String description;

    @ApiModelProperty("安全组所在的VPC，腾讯云没有该字段")
    private String vpcId;

    @ApiModelProperty("区域ID")
    private String regionId;

    @ApiModelProperty("安全组规则")
    private List<SecurityGroupRuleVo> securityGroupRules = new ArrayList<>();

    public String getSecurityGroupId() {
        return securityGroupId;
    }

    public void setSecurityGroupId(String securityGroupId) {
        this.securityGroupId = securityGroupId;
    }

    public String getSecurityGroupName() {
        return securityGroupName;
    }

    public void setSecurityGroupName(String securityGroupName) {
        this.securityGroupName = securityGroupName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVpcId() {
        return vpcId;
    }

    public void setVpcId(String vpcId) {
        this.vpcId = vpcId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public List<SecurityGroupRuleVo> getSecurityGroupRules() {
        return securityGroupRules;
    }

    public void setSecurityGroupRules(List<SecurityGroupRuleVo> securityGroupRules) {
        this.securityGroupRules = securityGroupRules;
    }
}
