package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class ShortcutVo extends OpenapiResponse {

    @ApiModelProperty("主机快捷方式ID")
    private Long id;
    @ApiModelProperty("主机ID")
    private Long hostId;
    @ApiModelProperty("快捷方式名称")
    private String name;

    @ApiModelProperty("快捷方式创建时间")
    private Date createTime;
    @ApiModelProperty("快捷方式修改时间")
    private Date updateTime;
    @ApiModelProperty("快捷方式创建者昵称")
    private String creatorName;
    @ApiModelProperty("快捷方式创建者ID")
    private Long creatorId;
    @ApiModelProperty("快捷方式协议类型,比如SSH、RDP,等等")
    private String desktopType;
    @ApiModelProperty("快捷方式登录账户")
    private String loginAccount;
    @ApiModelProperty("快捷方式是否设置了密码或者密钥")
    private boolean passwordOrKeySet = false;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public String getDesktopType() {
        return desktopType;
    }

    public void setDesktopType(String desktopType) {
        this.desktopType = desktopType;
    }

    public String getLoginAccount() {
        return loginAccount;
    }

    public void setLoginAccount(String loginAccount) {
        this.loginAccount = loginAccount;
    }

    public boolean isPasswordOrKeySet() {
        return passwordOrKeySet;
    }

    public void setPasswordOrKeySet(boolean passwordOrKeySet) {
        this.passwordOrKeySet = passwordOrKeySet;
    }
}
