package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by lidonghao on 2020/8/7.
 */

@ApiModel
public class SubnetVo extends OpenapiResponse {

    @ApiModelProperty("子网ID")
    private String subnetId;
    @ApiModelProperty("子网CIDR")
    private String subnetCidr;
    @ApiModelProperty("子网名称")
    private String subnetName;
    @ApiModelProperty("VPC ID")
    private String vpcId;
    @ApiModelProperty("可用区ID")
    private String zoneId;
    @ApiModelProperty("可用区名称")
    private String zoneName;
    @ApiModelProperty("可用IP数")
    private Long availableIpAddressCount;

    public String getSubnetId() {
        return subnetId;
    }

    public void setSubnetId(String subnetId) {
        this.subnetId = subnetId;
    }

    public String getSubnetCidr() {
        return subnetCidr;
    }

    public void setSubnetCidr(String subnetCidr) {
        this.subnetCidr = subnetCidr;
    }

    public String getSubnetName() {
        return subnetName;
    }

    public void setSubnetName(String subnetName) {
        this.subnetName = subnetName;
    }

    public String getVpcId() {
        return vpcId;
    }

    public void setVpcId(String vpcId) {
        this.vpcId = vpcId;
    }

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public String getZoneName() {
        return zoneName;
    }

    public void setZoneName(String zoneName) {
        this.zoneName = zoneName;
    }

    public Long getAvailableIpAddressCount() {
        return availableIpAddressCount;
    }

    public void setAvailableIpAddressCount(Long availableIpAddressCount) {
        this.availableIpAddressCount = availableIpAddressCount;
    }
}
