package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class TeamVo {

    @ApiModelProperty("租户ID")
    private Long tenantId;

    @ApiModelProperty("团队ID")
    private Long teamId;
    @ApiModelProperty("团队标识")
    private String code;
    @ApiModelProperty("团队名称")
    private String name;
    @ApiModelProperty("团队创建者ID")
    private Long creator;
    @ApiModelProperty("团队创建时间")
    private Date createTime;
    @ApiModelProperty("团队类型")
    private TeamType teamType;
    @ApiModelProperty("专业版到期时间")
    private Date serveEndTime;
    @ApiModelProperty("配额是否超限")
    private boolean quotaExceed;

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public TeamType getTeamType() {
        return teamType;
    }

    public void setTeamType(TeamType teamType) {
        this.teamType = teamType;
    }

    public Date getServeEndTime() {
        return serveEndTime;
    }

    public void setServeEndTime(Date serveEndTime) {
        this.serveEndTime = serveEndTime;
    }

    public boolean isQuotaExceed() {
        return quotaExceed;
    }

    public void setQuotaExceed(boolean quotaExceed) {
        this.quotaExceed = quotaExceed;
    }
}
