package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


@ApiModel
public class UpdateCredentialRequest {

    @ApiModelProperty(value = "凭证名称,团队唯一。不设置时不更新")
    private String name;
    @ApiModelProperty(value = "登录账号")
    private String account;
    @ApiModelProperty(value = "修改授权角色，如果为null，则不更新。用逗号连接多个角色id，如果是系统角色，可以用RoleCode。例如：roles='12,TEAM_ADMINER'表示将创建的虚拟分组授权给id=12的角色和团队管理员角色。")
    private String roles;
    @ApiModelProperty(value = "操作者用户ID，不设置时，是团队拥有者")
    private Long operator;


    public Long getOperator() {
        return operator;
    }

    public void setOperator(Long operator) {
        this.operator = operator;
    }

}
