package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

@ApiModel
public class VirtualGroupDetailVo extends VirtualGroupVo {

    @ApiModelProperty("包含主机列表")
    private List<HostVo> hosts = new ArrayList<>();
    @ApiModelProperty("包含CDN列表")
    private List<CdnVo> cnds = new ArrayList<>();
    @ApiModelProperty("包含Bucket列表")
    private List<BucketVo> buckets = new ArrayList<>();

    public List<HostVo> getHosts() {
        return hosts;
    }

    public void setHosts(List<HostVo> hosts) {
        this.hosts = hosts;
    }

    public List<CdnVo> getCnds() {
        return cnds;
    }

    public void setCnds(List<CdnVo> cnds) {
        this.cnds = cnds;
    }

    public List<BucketVo> getBuckets() {
        return buckets;
    }

    public void setBuckets(List<BucketVo> buckets) {
        this.buckets = buckets;
    }
}
