package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class VirtualGroupVo extends OpenapiResponse {

    @ApiModelProperty("虚拟分组ID")
    private Long id;
    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("虚拟分组名称")
    private String name;
    @ApiModelProperty("虚拟分组创建时间")
    private Date createTime;
    @ApiModelProperty("父级分组ID")
    private Long parentVgId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getParentVgId() {
        return parentVgId;
    }

    public void setParentVgId(Long parentVgId) {
        this.parentVgId = parentVgId;
    }
}
