package com.cloudbility.openapi.vo.log;

public enum CmdType {
    OTHER(0),
    RDP_WIN(1),
    RDP_CMD(2),
    RDP_MENU(3),
    SSH_CMD(4),
    ;

    private int id;

    CmdType(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }


    public static CmdType byId(int id) {
        for (CmdType t : values()) {
            if (t.getId() == id) {
                return t;
            }
        }
        return null;
    }
}
