package com.cloudbility.openapi.vo.monitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

@ApiModel
public class Func1 extends Func {

    @ApiModelProperty("函数的第一个参数")
    private int p1;

    public Func1(FuncName name, int p1) {
        super(name);
        this.p1 = p1;
    }

    public int getP1() {
        return p1;
    }

    public void setP1(int p1) {
        this.p1 = p1;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        if (!super.equals(o)) return false;
        Func1 func1 = (Func1) o;
        return p1 == func1.p1;
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), p1);
    }

    @Override
    public String toString() {
        return getName() + "-" + p1;
    }


}
