package com.cloudbility.openapi.vo.ops;

public enum DiskAccessMode implements OpsValueType {
    rw,//读写
    ro,//只读
    none,//不挂载
    ;

    public static DiskAccessMode fromName(String name) {
        for (DiskAccessMode type : values()) {
            if (type.name().equalsIgnoreCase(name)) {
                return type;
            }
        }
        return none;
    }
}
